Subject: [Healeys] Portland Historic Races

From: richard mayor <[email-masked]>
Date: Sun, 13 Jul 2014 21:35:34 +0000 FILETIME=[61166990:01CF9EE2]

Sadly, the Portland Historic Races under the current leadership of HMSA
continues it's decline into a non-event. For many years this event had entries
of almost 300 cars. Today, that is, this weekend, the entry list was a meager
90 cars.  This is fewer cars then during the recession. There are a number of
reasons for this decline in participation, but I will not go into that on this
forum.  Suffice it to say, I am also one of the non-participants, even though
the track (Portland International Raceway) is a mere 10 miles from my home.
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys